version: '3.7'
services:
  database:
    image: 'mongo:4.2.1'
    container_name: myS3-database
    environment:
      - MONGO_INITDB_DATABASE=myS3
    volumes:
      - ./database:/database
    ports:
      - 27017:27017

  backend:
    build:
      dockerfile: ./docker/Dockerfile
      context: ../
    image: myS3/backend
    container_name: myS3-backend
    ports:
      - 8080:8080
    depends_on:
      - database
